import request from '@/utils/request'

// 列表
export function list(data) {
  return request({
    url: `/admin/device/same/list/page`,
    method: 'post',
    data
  })
}

// 上架 下架 删除
export function change(id, status) {
  return request({
    url: `/admin/device/same/hitOrSold/${id}/${status}`,
    method: 'get'
  })
}

// 新增
export function submit(data) {
  return request({
    url: `/admin/device/same/saveOrUpdate`,
    method: 'post',
    data
  })
}

// 全部产品 和 剔除产品
export function devList(query) {
  return request({
    url: `/admin/device/same/getIsExistclientTypeList`,
    method: 'get',
    params: query
  })
}

// 详情
export function detail(id) {
  return request({
    url: `/admin/device/same/view/${id}`,
    method: 'get'
  })
}